[9] Review Request: 8143077 Deprecate InputEvent._MASK in favor of InputEvent._DOWN_MASK

Jonathan Bluett-Duncan jbluettduncan at gmail.com
Fri Sep 30 16:08:58 UTC 2016

Hi Sergey,

I'm not a reviewer, but after reading the deprecation messages in Event.java

* @deprecated It is recommended that {@code AWTEvent} class and its
> subclasses
> *             be used instead.

I get the impression they would read better without the redundant "class"
in the middle, like so.

* @deprecated It is recommended that {@code AWTEvent} and its subclasses
> *             be used instead.

Kind regards,

On 30 September 2016 at 16:45, Sergey Bylokhov <Sergey.Bylokhov at oracle.com>

> Hello.
> Please review the fix for jdk9.
> This is request to deprecate the obsolete flags inside InputEvent. This
> constants were marked as obsolete in jdk1.4 and were replaced by the new
> one. In jdk1.4 the documentation were update with notion that the new
> constants should be used. And this bug is about official deprecation of
> them.
> We can replace old constants by the new one in the whole jdk, but I
> updated only the code in InputEvent to make change smaller and safer. So at
> least the new code in jdk and the code in applications will start to use
> the new constants.
> The changes in jconsole are necessary to fix deprecation warning.
> jprt build passed, no new issues were found by jck/jtreg tests.
> Bug: https://bugs.openjdk.java.net/browse/JDK-8143077
> Webrev can be found at: http://cr.openjdk.java.net/~serb/8143077/webrev.00
> --
> Best regards, Sergey.

More information about the core-libs-dev mailing list